Skip to main content
GET
/
core
/
company
/
search
/
{countryISO}
/
{companyName}
Search by Name
curl --request GET \
  --url https://rest.kyckr.com/core/company/search/{countryISO}/{companyName} \
  --header 'Authorization: <api-key>'
{
  "companiesField": [
    {
      "addressesField": [
        {
          "addressInOneLineField": "ARC LABS RESEARCH CENTER,WIT WEST CAMPUS WATERFORD 999940"
        }
      ],
      "codeField": "436024",
      "nameField": "KYCKR IRELAND LIMITED",
      "officialField": false
    }
  ],
  "transactionIdField": "8305906",
  "responseCodeField": 0
}

Documentation Index

Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

countryISO
string
required

2-digit ISO country code

companyName
string
required

Name of the company you are searching for

Query Parameters

regAuth
string

Registration Authority string from search query

orderRef
string

Optional client order reference

Response

200 - application/json

Example response

companiesField
object[]
transactionIdField
string
responseCodeField
number
responseDetailsField
any
continuationKeyField
any